%global namedreltag .Final
%global namedversion %{version}%{?namedreltag}

Name:          jaxws-undertow-httpspi
Version:       1.0.1
Release:       3%{?dist}
Summary:       Undertow to JAXWS 2.2 HTTP SPI bridge
# Missing license file: 
# https://github.com/jbossws/jaxws-undertow-httpspi/issues/1
# https://issues.jboss.org/browse/JBWS-4023
License:       LGPLv2+
URL:           http://jbossws.jboss.org/
Source0:       https://github.com/jbossws/jaxws-undertow-httpspi/archive/%{name}-%{namedversion}.tar.gz

BuildRequires: maven-local
BuildRequires: mvn(io.undertow:undertow-core)
BuildRequires: mvn(junit:junit)
BuildRequires: mvn(org.apache.maven.plugins:maven-dependency-plugin)
BuildRequires: mvn(org.apache.maven.plugins:maven-enforcer-plugin)
BuildRequires: mvn(org.jboss.spec.javax.servlet:jboss-servlet-api_3.0_spec)
BuildRequires: mvn(org.jboss.spec.javax.xml.ws:jboss-jaxws-api_2.2_spec)
BuildRequires: mvn(org.jboss.ws:jbossws-parent:pom:)
# test deps
# BuildRequires: mvn(org.apache.cxf:cxf-rt-frontend-jaxws:2.7.13)

BuildArch:     noarch

%description
This package contains the JBoss httpserver to JAXWS 2.2 HTTP SPI bridge.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{name}-%{name}-%{namedversion}

%build

%mvn_build -f

%install
%mvn_install

%files -f .mfiles
%files javadoc -f .mfiles-javadoc

%changelog
* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Aug 11 2016 gil cattaneo <puntogil@libero.it> 1.0.1-2
- adapt to current guideline

* Tue Mar 24 2015 Marek Goldmann <mgoldman@redhat.com> - 1.0.1-1
- Initial packaging

